Page MenuHomePhabricator

[Bug] Warning: Attempted to serialize unserializable builtin class Closure$jsonConfigIsStorage (from Changes/ChangeHandlerTest.php (173): mergeMwGlobalArrayValue)
Closed, ResolvedPublic

Description

Wikibase\Client\Tests\Changes\ChangeHandlerTest::testHandleChanges
This test printed output: Warning: Attempted to serialize unserializable builtin class Closure$jsonConfigIsStorage#2;442227980$a2dad55d2b456665360436bc6da7c832$ in /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php on line 345
#0: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (345): error_handler
#1: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (306): stashMwGlobals
#2: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (383): setMwGlobals
#3: /var/www/wiki/w/extensions/Wikidata/extensions/Wikibase/client/tests/phpunit/includes/Changes/ChangeHandlerTest.php (173): mergeMwGlobalArrayValue
#4: testHandleChanges
#5: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (988): invokeArgs
#6: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (838): runTest
#7: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestResult.php (648): runBare
#8: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (783): run
#9: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (131): run
#10: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (779): run
#11: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (749): runTest
#12: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (709): run
#13: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (709): run
#14: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/TestRunner.php (350): run
#15: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php (176): doRun
#16: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php (129): run
#17: /var/www/wiki/w/tests/phpunit/phpunit.php (250): main
Warning: Attempted to serialize unserializable builtin class Closure$;1507081725$13b87b85cadfd738f214866a67f573e$ in /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php on line 345
#0: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (345): error_handler
#1: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (306): stashMwGlobals
#2: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (383): setMwGlobals
#3: /var/www/wiki/w/extensions/Wikidata/extensions/Wikibase/client/tests/phpunit/includes/Changes/ChangeHandlerTest.php (173): mergeMwGlobalArrayValue
#4: testHandleChanges
#5: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (988): invokeArgs
#6: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (838): runTest
#7: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestResult.php (648): runBare
#8: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (783): run
#9: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (131): run
#10: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (779): run
#11: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (749): runTest
#12: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (709): run
#13: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (709): run
#14: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/TestRunner.php (350): run
#15: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php (176): doRun
#16: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php (129): run
#17: /var/www/wiki/w/tests/phpunit/phpunit.php (250): main
Warning: Attempted to serialize unserializable builtin class Closure$;39186213$564ea12dad5db435eb9a3f30173ecb42$ in /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php on line 345
#0: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (345): error_handler
#1: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (306): stashMwGlobals
#2: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (383): setMwGlobals
#3: /var/www/wiki/w/extensions/Wikidata/extensions/Wikibase/client/tests/phpunit/includes/Changes/ChangeHandlerTest.php (173): mergeMwGlobalArrayValue
#4: testHandleChanges
#5: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (988): invokeArgs
#6: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (838): runTest
#7: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestResult.php (648): runBare
#8: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (783): run
#9: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (131): run
#10: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (779): run
#11: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (749): runTest
#12: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (709): run
#13: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (709): run
#14: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/TestRunner.php (350): run
#15: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php (176): doRun
#16: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php (129): run
#17: /var/www/wiki/w/tests/phpunit/phpunit.php (250): main
Warning: Attempted to serialize unserializable builtin class Closure$#2;1507081725$13b87b85cadfd738f214866a67f573e$ in /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php on line 345
#0: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (345): error_handler
#1: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (306): stashMwGlobals
#2: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (383): setMwGlobals
#3: /var/www/wiki/w/extensions/Wikidata/extensions/Wikibase/client/tests/phpunit/includes/Changes/ChangeHandlerTest.php (173): mergeMwGlobalArrayValue
#4: testHandleChanges
#5: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (988): invokeArgs
#6: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (838): runTest
#7: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestResult.php (648): runBare
#8: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (783): run
#9: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (131): run
#10: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (779): run
#11: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (749): runTest
#12: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (709): run
#13: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (709): run
#14: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/TestRunner.php (350): run
#15: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php (176): doRun
#16: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php (129): run
#17: /var/www/wiki/w/tests/phpunit/phpunit.php (250): main
Warning: Attempted to serialize unserializable builtin class Closure$;1129190330$9b1638db5bc0be433346bb9e9d540513$ in /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php on line 345
#0: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (345): error_handler
#1: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (306): stashMwGlobals
#2: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (383): setMwGlobals
#3: /var/www/wiki/w/extensions/Wikidata/extensions/Wikibase/client/tests/phpunit/includes/Changes/ChangeHandlerTest.php (173): mergeMwGlobalArrayValue
#4: testHandleChanges
#5: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (988): invokeArgs
#6: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (838): runTest
#7: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestResult.php (648): runBare
#8: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (783): run
#9: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (131): run
#10: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (779): run
#11: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (749): runTest
#12: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (709): run
#13: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (709): run
#14: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/TestRunner.php (350): run
#15: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php (176): doRun
#16: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php (129): run
#17: /var/www/wiki/w/tests/phpunit/phpunit.php (250): main
Warning: Attempted to serialize unserializable builtin class Closure$;1511632307 in /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php on line 345
#0: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (345): error_handler
#1: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (306): stashMwGlobals
#2: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (383): setMwGlobals
#3: /var/www/wiki/w/extensions/Wikidata/extensions/Wikibase/client/tests/phpunit/includes/Changes/ChangeHandlerTest.php (173): mergeMwGlobalArrayValue
#4: testHandleChanges
#5: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (988): invokeArgs
#6: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (838): runTest
#7: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestResult.php (648): runBare
#8: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (783): run
#9: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (131): run
#10: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (779): run
#11: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (749): runTest
#12: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (709): run
#13: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (709): run
#14: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/TestRunner.php (350): run
#15: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php (176): doRun
#16: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php (129): run
#17: /var/www/wiki/w/tests/phpunit/phpunit.php (250): main
Warning: Attempted to serialize unserializable builtin class Closure$;129881501$91305ba4320d30ce115b131f6028f5cb$ in /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php on line 345
#0: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (345): error_handler
#1: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (306): stashMwGlobals
#2: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (383): setMwGlobals
#3: /var/www/wiki/w/extensions/Wikidata/extensions/Wikibase/client/tests/phpunit/includes/Changes/ChangeHandlerTest.php (173): mergeMwGlobalArrayValue
#4: testHandleChanges
#5: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (988): invokeArgs
#6: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (838): runTest
#7: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestResult.php (648): runBare
#8: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (783): run
#9: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (131): run
#10: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (779): run
#11: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (749): runTest
#12: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (709): run
#13: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (709): run
#14: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/TestRunner.php (350): run
#15: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php (176): doRun
#16: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php (129): run
#17: /var/www/wiki/w/tests/phpunit/phpunit.php (250): main
Warning: Attempted to serialize unserializable builtin class Closure$;2088657431$326b3c2749097db1d6a20451fefe0486$ in /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php on line 345
#0: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (345): error_handler
#1: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (306): stashMwGlobals
#2: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (383): setMwGlobals
#3: /var/www/wiki/w/extensions/Wikidata/extensions/Wikibase/client/tests/phpunit/includes/Changes/ChangeHandlerTest.php (173): mergeMwGlobalArrayValue
#4: testHandleChanges
#5: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (988): invokeArgs
#6: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (838): runTest
#7: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestResult.php (648): runBare
#8: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (783): run
#9: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (131): run
#10: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (779): run
#11: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (749): runTest
#12: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (709): run
#13: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (709): run
#14: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/TestRunner.php (350): run
#15: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php (176): doRun
#16: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php (129): run
#17: /var/www/wiki/w/tests/phpunit/phpunit.php (250): main
Warning: Attempted to serialize unserializable builtin class Closure$;1587973746$4e39de83c4b4cb9efc2a836907821f5e$ in /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php on line 345
#0: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (345): error_handler
#1: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (306): stashMwGlobals
#2: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (383): setMwGlobals
#3: /var/www/wiki/w/extensions/Wikidata/extensions/Wikibase/client/tests/phpunit/includes/Changes/ChangeHandlerTest.php (173): mergeMwGlobalArrayValue
#4: testHandleChanges
#5: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (988): invokeArgs
#6: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (838): runTest
#7: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestResult.php (648): runBare
#8: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (783): run
#9: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (131): run
#10: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (779): run
#11: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (749): runTest
#12: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (709): run
#13: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (709): run
#14: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/TestRunner.php (350): run
#15: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php (176): doRun
#16: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php (129): run
#17: /var/www/wiki/w/tests/phpunit/phpunit.php (250): main
Warning: Attempted to serialize unserializable builtin class Closure$;278102261$9f9e4dffccd2be235b70d35e0ca74744$ in /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php on line 345
#0: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (345): error_handler
#1: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (306): stashMwGlobals
#2: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (383): setMwGlobals
#3: /var/www/wiki/w/extensions/Wikidata/extensions/Wikibase/client/tests/phpunit/includes/Changes/ChangeHandlerTest.php (173): mergeMwGlobalArrayValue
#4: testHandleChanges
#5: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (988): invokeArgs
#6: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (838): runTest
#7: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestResult.php (648): runBare
#8: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (783): run
#9: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (131): run
#10: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (779): run
#11: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (749): runTest
#12: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (709): run
#13: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (709): run
#14: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/TestRunner.php (350): run
#15: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php (176): doRun
#16: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php (129): run
#17: /var/www/wiki/w/tests/phpunit/phpunit.php (250): main
Warning: Attempted to serialize unserializable builtin class Closure$;694476151$a1d86a526636c1cc84b6d490ca0b0d90$ in /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php on line 345
#0: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (345): error_handler
#1: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (306): stashMwGlobals
#2: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (383): setMwGlobals
#3: /var/www/wiki/w/extensions/Wikidata/extensions/Wikibase/client/tests/phpunit/includes/Changes/ChangeHandlerTest.php (173): mergeMwGlobalArrayValue
#4: testHandleChanges
#5: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (988): invokeArgs
#6: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (838): runTest
#7: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestResult.php (648): runBare
#8: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (783): run
#9: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (131): run
#10: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (779): run
#11: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (749): runTest
#12: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (709): run
#13: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (709): run
#14: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/TestRunner.php (350): run
#15: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php (176): doRun
#16: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php (129): run
#17: /var/www/wiki/w/tests/phpunit/phpunit.php (250): main
Warning: Attempted to serialize unserializable builtin class Closure$;1008292704$40bbf16093b6110691f1450d076e1bff$ in /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php on line 345
#0: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (345): error_handler
#1: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (306): stashMwGlobals
#2: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (383): setMwGlobals
#3: /var/www/wiki/w/extensions/Wikidata/extensions/Wikibase/client/tests/phpunit/includes/Changes/ChangeHandlerTest.php (173): mergeMwGlobalArrayValue
#4: testHandleChanges
#5: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (988): invokeArgs
#6: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (838): runTest
#7: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestResult.php (648): runBare
#8: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestCase.php (783): run
#9: /var/www/wiki/w/tests/phpunit/MediaWikiTestCase.php (131): run
#10: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (779): run
#11: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (749): runTest
#12: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (709): run
#13: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php (709): run
#14: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/TestRunner.php (350): run
#15: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php (176): doRun
#16: /var/www/wiki/w/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php (129): run
#17: /var/www/wiki/w/tests/phpunit/phpunit.php (250): main

Event Timeline

aude created this task.Sep 6 2015, 12:05 PM
aude raised the priority of this task from to Needs Triage.
aude updated the task description. (Show Details)
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 6 2015, 12:05 PM
aude renamed this task from Warning: Attempted to serialize unserializable builtin class Closure$jsonConfigIsStorage (from Changes/ChangeHandlerTest.php (173): mergeMwGlobalArrayValue) to [Bug] Warning: Attempted to serialize unserializable builtin class Closure$jsonConfigIsStorage (from Changes/ChangeHandlerTest.php (173): mergeMwGlobalArrayValue).Sep 6 2015, 12:05 PM
aude set Security to None.
aude added a comment.Sep 6 2015, 4:41 PM

trying to serialize a closure cases a warning, but MediaWikiTestCase wraps this around try/catch, expecting an exception and in that case it just stashes the variable.

I wonder if this is what php 5.x really does? and hhvm does different?

aude added a comment.Sep 6 2015, 4:45 PM

on php 5.3:

> $x = function() { echo "hi"; };

> $y = serialize( $x );
Caught exception Exception: Serialization of 'Closure' is not allowed
#0 /srv/mediawiki/php-1.26wmf21/maintenance/eval.php(78) : eval()'d code(1): serialize(Object(Closure))
#1 /srv/mediawiki/php-1.26wmf21/maintenance/eval.php(78): eval()
#2 /srv/mediawiki/multiversion/MWScript.php(97): require_once('/srv/mediawiki/...')
#3 {main}

on hhvm:

$x = function() { echo "hi"; };

> serialize( $x );
Warning: Attempted to serialize unserializable builtin class Closure$;1015959387$f88ca0d4c5acd3a5845a6d32d20783ef$ in /srv/mediawiki/php-1.26wmf21/maintenance/eval.php(78)(8f0647e4a0360628842a5258eac04a18) : eval()'d code on line 1
aude added a comment.EditedSep 6 2015, 4:47 PM

i'll check tomorrow with php 5.6 to see if it's the same as 5.3.

aude added a project: HHVM.Sep 6 2015, 5:44 PM
aude added a comment.Sep 9 2015, 3:45 PM

I have an ugly workaround in my settings for this, so think it's not a blocker for me now.

hopefully someone else fixes this, or else I might want to look at the hhvm code and see where the bug is (in my copious free time)

aude triaged this task as Medium priority.Sep 10 2015, 10:41 AM

Change 354557 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/core@master] Add workaround for HHVM issue 6206

https://gerrit.wikimedia.org/r/354557

Change 354557 merged by jenkins-bot:
[mediawiki/core@master] Add workaround for HHVM issue 6206

https://gerrit.wikimedia.org/r/354557

hoo closed this task as Resolved.EditedMay 19 2017, 7:45 PM
hoo claimed this task.
hoo added a subscriber: hoo.

Workaround is in place, now we can just wait for someone to fix this in HHVM.

Change 354592 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/core@master] Fix Closure detection in MediaWikiTestCase

https://gerrit.wikimedia.org/r/354592

Change 354592 merged by jenkins-bot:
[mediawiki/core@master] Fix Closure detection in MediaWikiTestCase

https://gerrit.wikimedia.org/r/354592